---
source_url: https://www.pubnub.com/docs/sdks/rest-api/list-push-tokens-for-channel-v-2
title: List push tokens for channel (v2)
---

# List push tokens for channel (v2)

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

List push tokens for a channel.

Returns array with two elements:

* Array Element 0 - Integer – 1 or 0, where 1 is success, and 0 is error.
* Array Element 1 - String – Description of the success or error, if available. e.g "Modified Channels"

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal. |
| `channel`string—**REQUIRED**The channel ID to perform the operation on.Example: myChannel |

| Query Parameters |
| --- |
| `type`stringPossible values: [apns]Backend indicator (apns for Apple)Example: apns |
| `environment`string—**REQUIRED**Possible values: [development, production]Environment of the mobile application.Example: development |
| `topic`string—**REQUIRED**Bundle ID of the mobile application.Example: com.my.app.Application |
| `start`stringStarting push token for pagination. Use the last push token from previous page request. |
| `count`integerNumber of push tokens to return for pagination. Max of 1000 tokens at a time. Defaults to 100. |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscriber key.If Access Manager is enabled, either a valid authorization token or a signature are required.See Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`OKSchema — OPTIONAL undefined[] | Schema—**OPTIONAL** | undefined[] |
| Schema—**OPTIONAL** |
| undefined[] |
| `400`Bad RequestSchema — OPTIONAL undefined | Schema—**OPTIONAL** | undefined |
| Schema—**OPTIONAL** |
| undefined |
| `403`Not EnabledSchema — OPTIONALerror string — OPTIONAL | Schema—**OPTIONAL** | `error`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `error`string—**OPTIONAL** |
| `404`Channels MissingSchema — OPTIONALerror string — OPTIONAL | Schema—**OPTIONAL** | `error`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `error`string—**OPTIONAL** |
| `500`Server ErrorSchema — OPTIONALerror string — OPTIONAL | Schema—**OPTIONAL** | `error`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `error`string—**OPTIONAL** |
| `503`Service UnavailableSchema — OPTIONALerror string — OPTIONAL | Schema—**OPTIONAL** | `error`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `error`string—**OPTIONAL** |

`sub_key`*

Type: string

Your app's subscribe key from [Admin Portal](https://admin.pubnub.com).

`channel`*

Type: string

The channel ID to perform the operation on.

`type`

Type: string

Backend indicator (apns for Apple)

`environment`*

Type: string

Environment of the mobile application.

`topic`*

Type: string

Bundle ID of the mobile application.

`start`

Type: string

Starting push token for pagination. Use the last push token from previous page request.

`count`

Type: integer

Number of push tokens to return for pagination. Max of 1000 tokens at a time. Defaults to 100.

`uuid`*

Type: string

A UTF-8 encoded string of up to 92 characters used to [identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md).

`signature`

Type: string

Signature used to verify that the request was signed with the secret key associated with the subscriber key. If Access Manager is enabled, either a valid authorization token or a signature are required. See Access Manager documentation for details on how to compute the signature.

`timestamp`

Type: integer

Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP. Required if `signature` parameter is supplied.

`message`

Type: string

Example: `"Invalid Subscribe Key"`

`error`

Type: boolean

Example: `true`

`service`

Type: string

Example: `"Access Manager"`

`status`

Type: integer

Example: `400`

`error`

Type: string

Example: `"Use of the mobile push notifications API requires Push Notifications which is not enabled for this subscribe key. Login to your PubNub Dashboard Account and enable Push Notifications. Contact support@pubnub.com if you require further assistance."`

`error`

Type: string

Example: `"Channels missing"`

`error`

Type: string

Example: `"Internal Server Error"`

`error`

Type: string

Example: `"Failed to retrieve account configuration"`
